Bug 73474 - VIEWING: Text Parts are not Visible if Document is Scrolled with Mouse Wheel
Summary: VIEWING: Text Parts are not Visible if Document is Scrolled with Mouse Wheel
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Repagination
  Show dependency treegraph
 
Reported: 2014-01-10 14:41 UTC by Harald Koester
Modified: 2021-01-16 04:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Text document in order to reproduce the bug. (749.33 KB, application/vnd.oasis.opendocument.text)
2014-01-10 14:41 UTC, Harald Koester
Details
Screenshot of mixed up text. (32.93 KB, image/png)
2014-12-04 12:36 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2014-01-10 14:41:42 UTC
Created attachment 91818 [details]
Text document in order to reproduce the bug.

Steps to reproduce:

[1] Open attached text document. It is a chapter of the German LibreOffice user guide. On each page a footer exists.
[2] Scroll down fast with mouse wheel particularly at page 8 and stop scrolling after page 8.
[3] Scroll back to page 8. On my system the footer has disappeared on page 8. Furthermore the last 4 paragraphs of the page below the second hint (“Hinweis”) also disappear sometimes(!). But the footers on page 7 and 9 are still visible. Expected: Footer and paragraphs visible on page 8.
[4] Go on scrolling fast to page 31. Also here the footer has disappeared. Expected: Footer visible.
[5] Either you can go back to page 8 or you can stay at page 31.
[6] Menu: “View > Field names” or Ctrl+F9. Now the footers and also the missing text are displayed. 
[7] Close file without saving and open it again. 
[8] Now scroll slowly at the pages 8 and 31 by clicking the single arrow of the scroll bar. Now the missing parts are visible.

At first this behaviour was very strange to me and it took me hours to understand that the missing parts are only not visible and have not been deleted. I tried to correct the missing text and did not succeed.

I assume that this behaviour has something to do with the illustrations inside the document, because scrolling always stops a moment when reaching these illustrations.

Bug exists already in Version 3.5.7.

Operating System: Windows 7
Version: 4.1.4.2 release
Comment 1 Harald Koester 2014-01-10 15:05:28 UTC
I think there is a close relationship between this bug and bug 73476 because they appear with the same document and some problems appear at the same position in the document.
Comment 2 Larry Reisinger 2014-05-26 23:43:29 UTC
I've also observed this behavior in Version Writer 4.2.4.2 running under PC Linux OS. It's extremely annoying, because it happens routinely even in small documents.

To force Writer to fill the document in again, I have to minimize and then maximize. This always restores the page. 

This happens in documents with nothing but text.
Comment 3 Yousuf Philips (jay) (retired) 2014-05-27 09:05:53 UTC
Confirmed in Linux Mint in 4.2.4 and 4.3 beta 1.

The issue is caused by the image at the beginning of page 8 which is being resized, when you stroll to it, but if you jump to page 9 with F5, the page number will appear, and after the image has been resized, the missing text on the page will appear. This jump to page trick doesnt work for page 31, likely because the image is in the center of that page.
Comment 4 Yousuf Philips (jay) (retired) 2014-05-27 10:15:25 UTC
screencast explaining the bug - http://youtu.be/LG0SAyLbe6o
Comment 5 Harald Koester 2014-12-04 12:36:12 UTC
Created attachment 110455 [details]
Screenshot of mixed up text.
Comment 6 Harald Koester 2014-12-04 12:37:06 UTC
I checked this bug again and found other possibilities to reproduce this bug:

[A]
(1) Open attached document.
(2) Pull down the slider with the mouse up to page 8.

[B]
(1) Open attached document.
(2) Open Navigator.
(3) Go to page 8 with the Navigator. Wait until the first part of page 8 is displayed.
(4) Scroll down to the end of page 8 by clicking the arrow button of the scroll bar.

[C]
(1) Open attached document.
(2) Type 11 times Page Down. The result is not equal in comparison to the other possibilities. The display is mixed up. See second attachment. Hence this problem occurs at the same text position I suppose it is another phenomenon of the same bug.

I always closed the document and reopened it for another try. 

Hence the result is not always equal you may need several tries in order to reproduce the bug.

My System: Win 7, LO version 4.3.3
Comment 7 Pierre Fortin 2015-09-22 12:40:23 UTC
I've been seeing this bug since Dec/2013
See https://bugs.mageia.org/show_bug.cgi?id=12068

Haven't seen it in 5.0.0.5; but am now seeing bug 94444
Comment 8 Harald Koester 2015-09-30 14:43:49 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2016-11-08 10:31:56 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2017-02-10 13:40:12 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2018-05-03 02:42:00 UTC Comment hidden (obsolete)
Comment 12 Harald Koester 2018-05-14 14:11:19 UTC Comment hidden (obsolete)
Comment 13 Karsten 2019-01-16 11:21:09 UTC Comment hidden (obsolete)
Comment 14 Harald Koester 2019-01-16 18:42:43 UTC
Bug still exists with versions 6.1.4 (64 bit, Win 10).
Comment 15 QA Administrators 2021-01-16 04:18:03 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug